hyperspy.misc package
=====================

Subpackages
-----------

.. toctree::

    hyperspy.misc.borrowed
    hyperspy.misc.eds
    hyperspy.misc.eels
    hyperspy.misc.io
    hyperspy.misc.machine_learning
    hyperspy.misc.mpfit
    hyperspy.misc.tests

Submodules
----------

hyperspy.misc.array_tools module
--------------------------------

.. automodule:: hyperspy.misc.array_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.config_dir module
-------------------------------

.. automodule:: hyperspy.misc.config_dir
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.elements module
-----------------------------

.. automodule:: hyperspy.misc.elements
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.image_tools module
--------------------------------

.. automodule:: hyperspy.misc.image_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.ipython_tools module
----------------------------------

.. automodule:: hyperspy.misc.ipython_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.material module
-----------------------------

.. automodule:: hyperspy.misc.material
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.math_tools module
-------------------------------

.. automodule:: hyperspy.misc.math_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.natsort module
----------------------------

.. automodule:: hyperspy.misc.natsort
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.physical_constants module
---------------------------------------

.. automodule:: hyperspy.misc.physical_constants
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.physics_tools module
----------------------------------

.. automodule:: hyperspy.misc.physics_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.progressbar module
--------------------------------

.. automodule:: hyperspy.misc.progressbar
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.rgb_tools module
------------------------------

.. automodule:: hyperspy.misc.rgb_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.spectrum_tools module
-----------------------------------

.. automodule:: hyperspy.misc.spectrum_tools
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.tv_denoise module
-------------------------------

.. automodule:: hyperspy.misc.tv_denoise
    :members:
    :undoc-members:
    :show-inheritance:

hyperspy.misc.utils module
--------------------------

.. automodule:: hyperspy.misc.utils
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: hyperspy.misc
    :members:
    :undoc-members:
    :show-inheritance:
